## firefox 20.0+build1-0ubuntu0.10.04.3+4.1trisquel4

=== debian/changelog ===
firefox (20.0+build1-0ubuntu0.10.04.3+4.1trisquel4) taranis; urgency=low

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 28 May 2013 17:54:48 +0000

firefox (20.0+build1-0ubuntu0.10.04.3) lucid-security; urgency=low

  * New upstream stable release (FIREFOX_20_0_BUILD1)
    - see LP: #1161422 for USN information

  * Drop patches fixed upstream
    - remove debian/patches/ionmonkey-hardfp-support.patch
    - update debian/patches/series.in
  * firefox-gnome-support needs explicit dependency on libnotify
    - update debian/control{,.in}
  * Add support for autopkgtest, package the xpcshell, reftest and
    mochitest testsuites and migrate the xpcshell-tests, reftest, crashtest,
    jstestbrowser and mochitest targets to this. Note that tests that can't
    be ran as an autopkgtest (eg, if they require write permissions to the
    application directory) will still be ran at build time
    - add firefox-testsuite package in debian/control.in
    - update debian/control
    - add debian/firefox-testsuite.install.in
    - add debian/firefox-testsuite.links.in
    - update debian/build/mozbuild.mk
    - update debian/rules
    - drop xpcshell-tests, reftest, crashtest, jstestbrowser and mochitest
      targets from debian/build/testsuite.mk, add xpcshell-tests-build
      and the ability to run xpcshell-tests with our own reduced manifest
    - add debian/tests/control
    - add debian/tests/crashtest
    - add debian/tests/jstestbrowser
    - add debian/tests/mochitest
    - add debian/tests/reftest
    - add debian/tests/xpcshell-tests
    - add debian/testing/run_mochitest.in
    - add debian/testing/run_xpcshell_tests.in
    - add debian/testing/run_reftest.in
    - add debian/testing/testrunhelper.py
    - update debian/config/mozconfig.in to always build with --enable-tests
    - add debian/testing/xpcshell-build.ini
  * Ensure that the directory provider returns all searchplugin paths during
    the search service xpcshell tests
    - add d/p/test-fixes/xpcshell-search-fix-browser-dirprovider.patch
    - update debian/patches/series.in
  * Fix various tests that assume that either the application directory or
    test directory can be written to
    - add d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - add d/p/test-fixes/xpcshell-contentprefs-no-writes-to-appdir.patch
    - add d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - add d/p/test-fixes/xpcshell-ctypes-no-writes-to-appdir.patch
    - add d/p/test-fixes/xpcshell-xpcom-no-writes-to-testdir-or-appdir.patch
    - add d/p/test-fixes/xpcshell-libpref-no-writes-to-testdir.patch
    - update debian/patches/series.in
  * Export NO_PNG_PKG_MANGLE as optipng breaks tests that are dependent
    on image format / size
    - update debian/build/mozbuild.mk
  * Don't test that the addon selection dialog appears in test_bug596343.js,
    as we disable this
    - add d/p/test-integration/xpcshell-disable-addon-select-dialog-test-for-adt.patch
    - update debian/patches/series
  * Don't write a log file to the script directory from mochitest
    - add d/p/test-integration/mochitest-optional-websock-log.patch
    - update debian/patches/series.in
  * Fix a failure in test_nodb_pluschanges.js due to const redeclaration
    - add d/p/test-fixes/xpcshell-search-fix-const-redeclaration.patch
    - update debian/patches/series.in
  * Don't run the GConf-specific test_421977.js on systems where GSettings
    is available, as it will fail
    - add d/p/t-f/xpcshell-shell-disable-gconf-tests-when-using-gsettings.patch
    - update debian/patches/series.in
  * Disable test_upgrade.js and test_upgrade_strictcompat.js xpcshell tests
    for now as they require write access to the application directory
    - add d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/series.in
  * Disable test_browserGlue_distribution.js for now as it requires write
    access to the application directory
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
  * Reset the "browser" and "embed-app" content prefs after running content
    mochitests, so that the subsequent DOM browser-element tests don't
    fail
    - add d/p/test-fixes/mochitest-content-reset-permissions-when-done.patch
    - update debian/patches/series.in
  * Disable various failing mochitests:
    - add debian/testing/mochitest.json
    - add debian/testing/mochitest-chrome.json
    - update debian/firefox-testsuite.install.in
  * Fix issue where some tests were being added to the mochitest tests.jar
    using their absolute path in the build tree
    - add debian/patches/test-fixes/mochitest-tests-jar-fix.patch
    - update debian/patches/series.in
  * Don't run the GConf specific browser_420786.js mochitest on systems where
    GSettings is available, as it will fail
    - add d/p/t-f/mochitest-shell-disable-gconf-tests-when-using-gsettings.patch
    - update debian/patches/series.in
  * Don't ship the browser_bug538331.js mochitest as this isn't relevant
    when not using the Mozilla AUS
    - add d/p/test-fixes/mochitest-dont-ship-browser-postupdate-test.patch
    - update debian/patches/series.in
  * Make "--test-manifest" work when running chrome, browser-chrome and a11y
    mochitests so that we can maintain a distro manifest for these
    - add d/p/test-integration/mochitest-allow-test-manifest-for-chrome.patch
    - update debian/patches/series.in
  * Disable failing reftests
    - add d/p/test-overrides/reftest-disable-failing-tests.patch
    - update debian/patches/series.in
  * Add vendor xpcshell tests to verify that the search service loads
    the expected number of search plugins from each language pack
    - update debian/build/mozbuild.mk
    - add debian/firefox-testsuite.dirs.in
    - update debian/firefox-testsuite.install.in
    - update debian/rules

