=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/abrowser/abrowser.lucid
Build-Depends: cdbs,
	locales,
	debhelper (>= 7),
	m4,
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	imagemagick,
	yasm-1 (>= 1.1) | yasm (>= 1.1),
	libdbusmenu-gtk-dev,
	unzip,
	dbus-x11,
	xvfb
Standards-Version: 3.9.1
XS-Testsuite: autopkgtest

Package: abrowser
Architecture: any
Depends: lsb-release, xul-ext-ubufox,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	libcanberra0
Provides: www-browser,
	iceweasel, firefox, icecat,
	gnome-www-browser,
	${app:Provides},
	${transitional:Provides}
Suggests: latex-xft-fonts,
	libthai0,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: abrowser-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends}, 
	${misc:Depends},
	${gconf:Depends},
	libnotify4 | libnotify1,
	abrowser
Provides: ${app:Provides}
	${transitional:Provides}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Description: Safe and easy web browser from Trisquel - GNOME support
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package depends on the GNOME libraries which allow Abrowser to take
 advantage of technologies such as GConf, GIO libnotify

Package: abrowser-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	abrowser (= ${binary:Version})
Provides: ${app:Provides}
	${transitional:Provides}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Description: Safe and easy web browser from Trisquel - debug symbols
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Abrowser web
 browser

Package: abrowser-dev
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	abrowser (= ${binary:Version})
Provides: ${app:Provides}
	${transitional:Provides}
Replaces: ${transitional:Replaces}
Conflicts: xulrunner-2.0-dev,
	xulrunner-1.9.2-dev,
	xulrunner-1.9-dev,
	${app:Conflicts},
	${transitional:Conflicts}
Description: Safe and easy web browser from Trisquel - development files
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the headers and SDK for building plugins with Abrowser

Package: abrowser-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Trisquel - Breakpad symbols
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Abrowser symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: abrowser-testsuite
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	abrowser (= ${binary:Version}),
	python,
	dbus-x11,
	xvfb
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Trisquel - testsuite
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Abrowser testsuite

# Transitional packages below here

Package: abrowser-old
Architecture: any
Depends: ${misc:Depends}, abrowser (>= 9.0)
Provides: abrowser-old-3.6, 
	abrowser-old-3.5
Description: Safe and easy web browser from Trisquel - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed


Package: abrowser-old-branding
Architecture: any
Depends: ${misc:Depends}, abrowser (>= 9.0)
Provides: abrowser-old-3.6-branding, 
	abrowser-old-3.5-branding, 
	abrowser-branding
Description: Safe and easy web browser from Trisquel - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed







Package: abrowser-old-3.5-branding
Architecture: all
Depends: abrowser-old-branding
Description: Safe and easy web browser from Trisquel - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: abrowser-old-3.5
Architecture: all
Depends: abrowser-old
Description: Safe and easy web browser from Trisquel - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed










# Language packs below here

Package: abrowser-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-af
Description: Afrikaans language pack for Abrowser
 This package contains Afrikaans translations and search plugins
 for Abrowser

Package: abrowser-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ar
Description: Arabic language pack for Abrowser
 This package contains Arabic translations and search plugins
 for Abrowser

Package: abrowser-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-as
Description: Assamese language pack for Abrowser
 This package contains Assamese translations and search plugins
 for Abrowser

Package: abrowser-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ast
Description: Asturian language pack for Abrowser
 This package contains Asturian translations and search plugins
 for Abrowser

Package: abrowser-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-be
Description: Belarusian language pack for Abrowser
 This package contains Belarusian translations and search plugins
 for Abrowser

Package: abrowser-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bg
Description: Bulgarian language pack for Abrowser
 This package contains Bulgarian translations and search plugins
 for Abrowser

Package: abrowser-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bn
Description: Bengali language pack for Abrowser
 This package contains Bengali translations and search plugins
 for Abrowser

Package: abrowser-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-br
Description: Breton language pack for Abrowser
 This package contains Breton translations and search plugins
 for Abrowser

Package: abrowser-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bs
Description: Bosnian language pack for Abrowser
 This package contains Bosnian translations and search plugins
 for Abrowser

Package: abrowser-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ca
Description: Catalan; Valencian language pack for Abrowser
 This package contains Catalan; Valencian translations and search plugins
 for Abrowser

Package: abrowser-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-cs
Description: Czech language pack for Abrowser
 This package contains Czech translations and search plugins
 for Abrowser

Package: abrowser-locale-csb
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-csb-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-csb
Description: Kashubian language pack for Abrowser
 This package contains Kashubian translations and search plugins
 for Abrowser

Package: abrowser-locale-cy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cy-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-cy
Description: Welsh language pack for Abrowser
 This package contains Welsh translations and search plugins
 for Abrowser

Package: abrowser-locale-da
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-da-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-da
Description: Danish language pack for Abrowser
 This package contains Danish translations and search plugins
 for Abrowser

Package: abrowser-locale-de
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-de-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-de
Description: German language pack for Abrowser
 This package contains German translations and search plugins
 for Abrowser

Package: abrowser-locale-el
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-el-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-el
Description: Greek language pack for Abrowser
 This package contains Greek translations and search plugins
 for Abrowser

Package: abrowser-locale-en
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-en-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-en
Description: English language pack for Abrowser
 This package contains English translations and search plugins
 for Abrowser

Package: abrowser-locale-eo
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eo-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-eo
Description: Esperanto language pack for Abrowser
 This package contains Esperanto translations and search plugins
 for Abrowser

Package: abrowser-locale-es
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-es-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-es
Description: Spanish; Castilian language pack for Abrowser
 This package contains Spanish; Castilian translations and search plugins
 for Abrowser

Package: abrowser-locale-et
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-et-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-et
Description: Estonian language pack for Abrowser
 This package contains Estonian translations and search plugins
 for Abrowser

Package: abrowser-locale-eu
