=== debian/rules ===
#!/usr/bin/make -f

include $(CURDIR)/debian/build/mozvars.mk

MOZ_PKG_BASENAME	:= abrowser
MOZ_APP			:= browser
MOZ_VENDOR		:= Mozilla
MOZ_MOZDIR		:=

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_BUILD_UNOFFICIAL))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= unofficial
endif
endif
MOZ_BRANDING_DIR 	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
ifeq (official,$(BRANDING))
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

ifneq (,$(filter oneiric, $(DISTRIB_CODENAME)))
MOZ_SEARCHPLUGIN_DIR	= $(MOZ_ADDONDIR)/distribution/searchplugins
else
MOZ_SEARCHPLUGIN_DIR	= $(MOZ_LIBDIR)/distribution/searchplugins
endif

ifneq (,$(filter lucid, $(DISTRIB_CODENAME)))
MOZ_PKG_SUPPORT_SUGGESTS	= $(MOZ_PKG_NAME)-gnome-support, kmozillahelper (>= 0.6)
else
ifneq (,$(filter lucid maverick natty oneiric, $(DISTRIB_CODENAME)))
MOZ_PKG_SUPPORT_SUGGESTS	= $(MOZ_PKG_NAME)-gnome-support | abrowser-kde-support
endif
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/usr.bin.$(MOZ_PKG_NAME) \
	debian/README.Debian \
	debian/$(MOZ_PKG_NAME)-locale.preinst \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	debian/testing/run_mochitest \
	debian/testing/run_reftest \
	debian/testing/run_xpcshell_tests \
	$(NULL)

MOZ_APPNAME_SUBST_FILES = \
	debian/$(MOZ_APP_NAME).1 \
	debian/$(MOZ_APP_NAME)-restart-required.update-notifier \
	$(NULL)

MOZ_PKGCONFIG_FILES = \
	debian/pkgconfig/mozilla-plugin.pc \
	debian/pkgconfig/libxul.pc \
	debian/pkgconfig/mozilla-nspr.pc \
	$(NULL)

include $(CURDIR)/debian/build/mozbuild.mk

MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_TESTDIR)/run_mochitest \
						$(MOZ_TESTDIR)/run_reftest \
						$(MOZ_TESTDIR)/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(NULL)

debian/usr.bin.abrowser.in:
	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1204' ]; then \
		cp $(CURDIR)/debian/usr.bin.abrowser.apparmor.12.04 $(CURDIR)/debian/usr.bin.abrowser.in ; \
	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1104' ]; then \
		cp $(CURDIR)/debian/usr.bin.abrowser.apparmor.11.04 $(CURDIR)/debian/usr.bin.abrowser.in ; \
	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1010' ]; then \
		cp $(CURDIR)/debian/usr.bin.abrowser.apparmor.10.10 $(CURDIR)/debian/usr.bin.abrowser.in ; \
	elif [ "$(DISTRIB_VERSION_MAJOR)" -ge "10" ]; then \
		cp $(CURDIR)/debian/usr.bin.abrowser.apparmor.10.04 $(CURDIR)/debian/usr.bin.abrowser.in ; \
	else \
		cp $(CURDIR)/debian/usr.bin.abrowser.apparmor.9.10 $(CURDIR)/debian/usr.bin.abrowser.in ; \
	fi

ifeq (abrowser, $(MOZ_APP_NAME))
ifneq (,$(filter lucid, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.2.202.233ubuntu0.10.04.1), adobe-flashplugin (<= 11.1.102.63-0lucid1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.10.12-2ubuntu1), gecko-mediaplayer (<= 0.9.9.2-1ubuntu0.10.04.1), \
		    mozilla-gtk-vnc (<= 0.3.10-2ubuntu2.1), mozilla-opensc  (<= 0.11.12-1ubuntu3.2), \
		    mozilla-plugin-pcmanx (<= 0.3.9-2ubuntu2), mozplugger (<= 1.13.3-1ubuntu1), \
		    xine-plugin (<= 1.0.2-1ubuntu2), mozilla-virt-viewer (<= 0.0.3-6ubuntu7.xul191.1)
else
ifneq (,$(filter maverick, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.2.202.228ubuntu0.10.10.1), adobe-flashplugin (<= 11.1.102.63-0maverick1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.3-1), gecko-mediaplayer (<= 0.9.9.2-1ubuntu0.10.10.1), \
		    mozilla-gtk-vnc (<= 0.4.1-3ubuntu2), mozilla-opensc (<= 0.11.13-1ubuntu2.1), \
		    mozilla-plugin-pcmanx (<= 0.3.9-2ubuntu2), mozplugger (<= 1.14.1-2~exp3ubuntu1), \
		    xine-plugin (<= 1.0.2-2ubuntu1)
else
ifneq (,$(filter natty, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.2.202.233ubuntu0.11.04.2), adobe-flashplugin (<= 11.1.102.63-0natty1)
PLUGIN_CONFLICTS := gcu-plugin (<=  0.12.7-1ubuntu1)
else
ifneq (,$(filter oneiric, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.2.202.233ubuntu0.11.10.3), adobe-flashplugin (<= 11.1.102.63-0oneiric1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.8-1ubuntu3)
else
ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.1.102.63ubuntu1), adobe-flashplugin (<= 11.1.102.63-0precise1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.10-1ubuntu1)
endif
endif
endif
endif
endif
endif

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed -n 's/[ \t\n]\+/ /g p' >> debian/$(1).substvars)

ifeq (abrowser, $(MOZ_PKG_NAME))
ifeq (,$(filter lucid maverick natty oneiric precise, $(DISTRIB_CODENAME)))
install/abrowser::
	$(call WRITE_SUBSTVARS,abrowser,transitional:Replaces,kubuntu-abrowser-installer)
else
ifeq (,$(filter lucid, $(DISTRIB_CODENAME)))
ABROWSER_REPLACES = abrowser, abrowser-branding, abrowser-branding, kubuntu-abrowser-installer
ABROWSER_BREAKS = abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
		 abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), $(PLUGIN_BREAKS)
install/abrowser::
	$(call WRITE_SUBSTVARS,abrowser,transitional:Replaces,$(ABROWSER_REPLACES))
	$(call WRITE_SUBSTVARS,abrowser,transitional:Breaks,$(ABROWSER_BREAKS))
	$(call WRITE_SUBSTVARS,abrowser,transitional:Conflicts,$(PLUGIN_CONFLICTS))
else
ABROWSER_PROVIDES = abrowser-3.6, abrowser-3.5, abrowser-3.0, abrowser-2, abrowser-2-dom-inspector, abrowser-2-libthai
ABROWSER_CONFLICTS = abrowser-3.6 (<< 3.6~hg20100117r33523), abrowser-3.5 (<< 3.6~hg20100117r33523), abrowser-3.0 (<< 3.6~hg20100117r33523), \
		    abrowser-3.6-gnome-support (<< 3.6~hg20100117r33523), abrowser-2 (<< 3), abrowser-2-libthai (<< 3), \
		    abrowser-2-dom-inspector (<< 3), abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
		    abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
		    $(PLUGIN_CONFLICTS)
ABROWSER_REPLACES = abrowser-3.6, abrowser-3.5, abrowser-3.0, abrowser-3.6-gnome-support, abrowser-2, abrowser-2-libthai, \
		   abrowser-2-dom-inspector, abrowser, abrowser-branding, abrowser-branding, kubuntu-abrowser-installer
install/abrowser::
	$(call WRITE_SUBSTVARS,abrowser,transitional:Provides,$(ABROWSER_PROVIDES))
	$(call WRITE_SUBSTVARS,abrowser,transitional:Conflicts,$(ABROWSER_CONFLICTS))
	$(call WRITE_SUBSTVARS,abrowser,transitional:Replaces,$(ABROWSER_REPLACES))
	$(call WRITE_SUBSTVARS,abrowser,transitional:Breaks,$(PLUGIN_BREAKS))

DEV_PROVIDES = abrowser-3.6-dev, abrowser-3.5-dev, abrowser-3.0-dev, abrowser-2-dev
DEV_REPLACES = abrowser-3.6-dev, abrowser-3.5-dev, abrowser-3.0-dev, abrowser-2-dev
DEV_CONFLICTS = abrowser-3.6-dev (<< 3.6~hg20100117r33523+nobinonly), abrowser-3.5-dev (<< 3.6~hg20100117r33523), \
		abrowser-3.0-dev (<< 3.6~hg20100117r33523), abrowser-2-dev (<< 3)
install/abrowser-dev::
	$(call WRITE_SUBSTVARS,abrowser-dev,transitional:Provides,$(DEV_PROVIDES))
	$(call WRITE_SUBSTVARS,abrowser-dev,transitional:Replaces,$(DEV_REPLACES))
	$(call WRITE_SUBSTVARS,abrowser-dev,transitional:Conflicts,$(DEV_CONFLICTS))

GS_PROVIDES = abrowser-3.6-gnome-support, abrowser-3.5-gnome-support, abrowser-3.0-gnome-support, abrowser-2
GS_REPLACES = abrowser-3.6-gnome-support, abrowser-3.5-gnome-support, abrowser-3.0-gnome-support, abrowser-2-gnome-support
GS_CONFLICTS = abrowser-3.6-gnome-support (<< 3.6~hg20100117r33523+nobinonly), abrowser-3.5-gnome-support (<< 3.6~hg20100117r33523), \
	       abrowser-3.0-gnome-support (<< 3.6~hg20100117r33523), abrowser-2 (<< 3)
install/abrowser-gnome-support::
	$(call WRITE_SUBSTVARS,abrowser-gnome-support,transitional:Provides,$(GS_PROVIDES))
	$(call WRITE_SUBSTVARS,abrowser-gnome-support,transitional:Replaces,$(GS_REPLACES))
	$(call WRITE_SUBSTVARS,abrowser-gnome-support,transitional:Conflicts,$(GS_CONFLICTS))

DBG_PROVIDES = abrowser-3.6-dbg, abrowser-3.5-dbg, abrowser-2-dbg
