## firefox 21.0~pointlinux2

=== debian/changelog ===
firefox (21.0~pointlinux2) stable; urgency=low

  * Path /usr/lib/firefox/icons/mozicon128.png changed to /usr/lib/firefox/browser/icons/mozicon128.png fixing icon problem.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Sun, 19 May 2013 09:20:19 +0400

firefox (21.0~pointlinux1) stable; urgency=low

  * 21.0
  * Path /usr/lib/firefox/defaults/profile changed to /usr/lib/firefox/browser/defaults/profile
  * Path /usr/lib/firefox/extensions changed to /usr/lib/firefox/browser/extensions
  * Path /usr/lib/firefox/searchplugins changed to /usr/lib/firefox/browser/searchplugins

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Thu, 16 May 2013 12:00:41 +0400

firefox (20.0~pointlinux3) stable; urgency=low

  * 'firefox %u' replaced with 'firefox' in firefox.desktop file removing "Starting Firefox web browser" bug.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Sun, 05 May 2013 16:11:23 +0400

firefox (20.0~pointlinux2) stable; urgency=low

  * Bookmarks bar added.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Sun, 05 May 2013 11:32:10 +0400

firefox (20.0~pointlinux1) stable; urgency=low

  * 20.0

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Thu, 04 Apr 2013 07:05:34 +0400

firefox (19.0.1~pointlinux1) stable; urgency=low

  * 19.0.1

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Wed, 20 Mar 2013 11:04:12 +0400

firefox (19.0~pointlinux1) stable; urgency=low

  * 19.0

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Thu, 28 Feb 2013 15:26:07 +0400

firefox (18.0.2~pointlinux1) stable; urgency=low

  * 18.0.2

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Tue, 19 Feb 2013 08:40:36 +0400

firefox (17.0.1~pointlinux4) stable; urgency=low

  * homepage changed to about:blank

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Sat, 12 Jan 2013 14:13:22 +0400

firefox (17.0.1~pointlinux3) stable; urgency=low

  * link to /usr/lib/mozilla-firefox removed as there is no need for it
  * gconf settings imported only if gconf exists

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Sun, 23 Dec 2012 14:42:12 +0400

firefox (17.0.1~pointlinux2) stable; urgency=low

  * firefox installs to /usr/lib/firefox
  * link from /usr/lib/firefox to /usr/lib/mozilla-firefox created to mantain compatibility
  * package name fixed in /usr/share/menu/firefox
  * gconf's '/desktop/gnome/url-handlers/(http https)/command' changed to firefox

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Sat, 22 Dec 2012 18:54:49 +0400

firefox (17.0.1~pointlinux1) stable; urgency=low

  * Initial Release.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Mon, 10 Dec 2012 10:38:22 +0400
