=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>
Build-Depends: debhelper (>= 5), wget, python
Standards-Version: 3.7.2
Homepage: http://www.pointlinux.org/

Package: firefox
Architecture: any
Provides: www-browser
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface, enhanced security features including protection from online identity theft, and integrated search let you get the most out of the web.

Package: firefox-locale-fr
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: French language packs for Firefox
 French language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-af
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Afrikaans language packs for Firefox
 Afrikaans language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-ar
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Arabic language packs for Firefox
 Arabic language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-be
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Belarusian language packs for Firefox
 Belarusian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-bg
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Bulgarian language packs for Firefox
 Bulgarian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-eu
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Basque language packs for Firefox
 Basque language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-bn-bd
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Bengali-Bengladesh language packs for Firefox
 Bengali-Bengladesh language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-sq
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Albanian language packs for Firefox
 Albanian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-ca
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Catalan language packs for Firefox
 Catalan language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-cs
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Czech language packs for Firefox
 Czech language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-da
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Danish language packs for Firefox
 Danish language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-de
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: German language packs for Firefox
 German language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-el
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Greek language packs for Firefox
 Greek language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-en-gb
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: British language packs for Firefox
 British language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-eo
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Esperanto language packs for Firefox
 Esperanto language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-et
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Estonian language packs for Firefox
 Estonian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-fi
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Finnish language packs for Firefox
 Finnish language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-fy
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Frysian language packs for Firefox
 Frysian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-gl
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Galician language packs for Firefox
 Galician language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-gu
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Gujarati language packs for Firefox
 Gujarati language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-he
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Hebrew language packs for Firefox
 Hebrew language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-hi
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Hindi language packs for Firefox
 Hindi language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-hr
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Croatian language packs for Firefox
 Croatian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-hu
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Hungarian language packs for Firefox
 Hungarian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-id
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Indonesian language packs for Firefox
 Indonesian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-is
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Icelandic language packs for Firefox
 Icelandic language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-it
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Italian language packs for Firefox
 Italian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-ja
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Japanese language packs for Firefox
 Japanese language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-kn
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Kannada language packs for Firefox
 Kannada language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-ko
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Korean language packs for Firefox
 Korean language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-lt
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Lithuanian language packs for Firefox
 Lithuanian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-lv
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Latvian language packs for Firefox
 Latvian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-nl
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Dutch language packs for Firefox
 Dutch language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-zh
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Chinese language packs for Firefox
 Chinese language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-es
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Spanish language packs for Firefox
 Spanish language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-fa
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Persian language packs for Firefox
 Persian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-nb
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Bokmal language packs for Firefox
 Bokmal language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-nn
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Nynorsk language packs for Firefox
 Nynorsk language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-pl
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Polish language packs for Firefox
 Polish language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-pt-br
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Portuguese Brazilian language packs for Firefox
 Portuguese Brazilian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-pt
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Portuguese language packs for Firefox
 Portuguese language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-ro
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Romanian language packs for Firefox
 Romanian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-ru
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Russian language packs for Firefox
 Russian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-sk
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Slovak language packs for Firefox
 Slovak language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-sl
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Slovenian language packs for Firefox
 Slovenian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-sr
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Serbian language packs for Firefox
 Serbian language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-sv
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Swedish language packs for Firefox
 Swedish language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-th
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Thai language packs for Firefox
 Thai language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-tr
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Turkish language packs for Firefox
 Turkish language packs for the Mozilla Firefox Web Browser.

Package: firefox-locale-uk
Architecture: any
Depends: firefox (= 21.0~pointlinux2)
Description: Ukrainian language packs for Firefox
 Ukrainian language packs for the Mozilla Firefox Web Browser.
